body {
  font-family: Arial, sans-serif;
  margin: 0;
  color: #111;
  background: #fff;
}

.hero {
  padding: 60px 20px;
  text-align: center;
  background: #f6f7f9;
}

.btn {
  display: inline-block;
  margin-top: 15px;
  padding: 10px 16px;
  background: black;
  color: white;
  text-decoration: none;
  border-radius: 6px;
}
.btn svg {
  width: 16px;
  height: 16px;
  vertical-align: middle;
  margin-right: 2px;
}


.container {
  max-width: 960px;
  margin: 0 auto;
  padding: 40px 20px;
}

.preview-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 40px 20px;
  background: #f3f4f6;
  box-sizing: border-box;
}

.preview-a4 {
  width: min(100%, 900px);
  box-shadow: 0 10px 30px rgba(0,0,0,.15);
  background: white;
  overflow: hidden;
}

.preview-a4.portrait {
  aspect-ratio: 210 / 297;
}

.preview-a4.album {
  aspect-ratio: 297 / 210;
}

.preview-a4 img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: contain;
}

.preview-a4 img {
  width: 100%;
  height: 100%;
}

footer {
  text-align: center;
  padding: 30px;
  font-size: 12px;
  color: #666;
}

@media only screen and (min-width: 768px) {
  .preview-wrapper:has(.portrait) {
    padding: 40px 100px;
  }
}

@media only screen and (min-width: 1024px) {
  .preview-wrapper:has(.portrait) {
    padding: 40px 161.5px;
  }
}
